%define upstream_name	 Class-C3-Componentised
%define upstream_version 1.001002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Epoch:      1

Summary:    Load mix-ins or components to your C3-based class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::C3) >= 0.200.0
BuildRequires: perl(Class::Inspector) >= 1.320.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat) >= 0.90.0
BuildRequires: perl(Test::Exception) >= 0.310.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This will inject base classes to your module using the Class::C3 method
resolution order.

Please note: these are not plugins that can take precedence over methods
declared in MyModule. If you want something like that, consider
MooseX::Object::Pluggable.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1:1.1.2-5.mga10
+ Revision: 2203517
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1:1.1.2-4.mga9
+ Revision: 1808545
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:1.1.2-3.mga8
+ Revision: 1503554
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1:1.1.2-2.mga7
+ Revision: 1282253
- Mageia 7 Mass Rebuild

* Sat Mar 03 2018 tv <tv> 1:1.1.2-1.mga7
+ Revision: 1206267
- update to 1.001002

* Mon Oct 02 2017 tv <tv> 1:1.1.0-11.mga7
+ Revision: 1163325
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1:1.1.0-10.mga7
+ Revision: 1158934
- add BR on perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 1:1.1.0-9.mga6
+ Revision: 1023885
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1:1.1.0-8.mga6
+ Revision: 948767
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1:1.1.0-7.mga5
+ Revision: 788295
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1:1.1.0-6.mga5
+ Revision: 740680
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1:1.1.0-5.mga5
+ Revision: 732930
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1:1.1.0-4.mga5
+ Revision: 683890
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:1.1.0-3.mga4
+ Revision: 509978
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:1.1.0-2.mga3
+ Revision: 364291
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 1.001000

* Thu Mar 24 2011 jquelin <jquelin> 1:1.0.900-1.mga1
+ Revision: 76688
- update to 1.0009

* Fri Feb 25 2011 jquelin <jquelin> 1:1.0.800-1.mga1
+ Revision: 59623
- update to 1.0008

* Thu Jan 20 2011 jquelin <jquelin> 1:1.0.600-1.mga1
+ Revision: 25898
- mageia rebuild
- imported package perl-Class-C3-Componentised


* Thu Sep 10 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.0.600-1mdv2010.0
+ Revision: 437215
- bumping epoch
- update to 1.0006

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0005-1mdv2010.0
+ Revision: 370024
- update to new version 1.0005

* Thu Mar 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0004-1mdv2009.1
+ Revision: 357729
- update to new version 1.0004

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.0003-3mdv2009.0
+ Revision: 255890
- rebuild

* Mon Mar 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.0003-1mdv2008.1
+ Revision: 183290
- update to new version 1.0003

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0001-1mdv2008.0
+ Revision: 78720
- import perl-Class-C3-Componentised


* Mon Sep 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0001-1mdv2008.0
- first mdv release
